GENERATE_INTR_BODY(1)

NAME
generate-intr-body - generate Theme-D-Intr body

SYNOPSIS
generate-intr-body [ OPTION ] ...

DESCRIPTION
Command generate-intr-body generates a Theme-D-Intr body file for an application.

OPTIONS

-i INPUTFILE
    Specify the input file. The default is intr-imports.scm. The input file specifies which classes and procedures are imported for the application.

-m MODULENAME
    Specify the Theme-D module name of the G-Golf import module. The default is _intr-imports.

--no-check
    Disable some internal checks.

--no-methods
    Do not generate Theme-D methods for the imported procedures.

-o OUTPUTFILE
    Specify the output file name. The default is _intr-imports.thb.

FILES

_intr-imports.scm
    The default specification file for the G-Golf imports.

_intr-imports.thb
    The default body file for the G-Golf imports.

SEE ALSO
generate-intr-interface(1), generate-intr-target-module(1)